# language: fr
@etablissements
Fonctionnalité: Visualisation des établissements du territoire
Pour pouvoir utiliser deveco
En tant que DevEco
Je veux pouvoir consulter les établissements de mon territoire et exogènes

  Scénario: Recherche d'entreprise
    Quand j'ai un compte "DevEco" avec l'email "machin@test.fr" et la clef "blah"
    Quand je vais sur le lien magique pour "blah"
    Quand je clique sur l'onglet Établissements
    Alors je suis sur la page Établissements
    Quand je clique sur "Filtres"
    Quand je clique sur "Données publiques"
    Quand je clique sur "Inactif"
    Quand je clique sur "Rechercher"
    Alors je vois "RUSU"
    Quand je clique sur "Actif"
    Quand je renseigne "axiome" dans le champ "Nom, SIRET, SIREN, nom du contact"
    Quand je clique sur "Rechercher"
    Alors je vois "AXIOME"
    Quand je clique sur "AXIOME"
    Alors je suis sur la page de l'Établissement "94845956500016"

  Scénario: Ajout d'Établissement exogène
    Quand j'ai un compte "DevEco" avec l'email "machin@test.fr" et la clef "blah"
    Quand je vais sur le lien magique pour "blah"
    Quand je clique sur l'onglet Établissements
    Alors je suis sur la page Établissements
    Quand je clique sur "Ajouter un établissement exogène au territoire"
    Alors je vois "SIRET"
    Quand je renseigne "77567227234537" dans le champ "etablissement-exogene-siret-search"
    Quand je clique sur "Rechercher"
    Alors je vois "Résultat"
    Quand je clique sur "Ajouter l'établissement"
    Alors je vois "Données publiques"
    Alors je vois "EXOGÈNE"
    Quand je clique sur l'onglet Établissements
    Alors je suis sur la page Établissements
    Quand je clique sur "Filtres"
    Quand je clique sur "Données publiques"
    Quand je clique sur "Exogène au territoire"
    Quand je renseigne "croix rouge" dans le champ "Nom, SIRET, SIREN, nom du contact"
    Quand je clique sur "Rechercher"
    Alors je vois "CROIX ROUGE"
    Quand je clique sur "CROIX ROUGE"
    Alors je suis sur la page de l'Établissement "77567227234537"

  Scénario: Qualification d'établissement - Activités réelles
    Quand j'ai un compte "DevEco" avec l'email "machin@test.fr" et la clef "blah"
    Quand je vais sur le lien magique pour "blah"
    Alors je vais sur la page de l'Établissement "94845956500016"
    Quand je clique sur "Modifier"
    Alors je vois "Valider"
    Quand je renseigne "Test" dans le champ "#champ-selection-activites-input"
    Quand je clique sur le texte "Créer"
    Quand je clique sur "Valider"
    Alors je ne vois pas "Valider"
    Alors je vois "Test"
    Quand je clique sur "Modifier"
    Alors je vois "Valider"
    Quand je renseigne "ASupprimer" dans le champ "#champ-selection-activites-input"
    Quand je clique sur le texte "Créer"
    Quand je clique sur "Valider"
    Alors je ne vois pas "Valider"
    Alors je vois "ASupprimer"
    Quand je clique sur "Modifier"
    Alors je vois "Valider"
    Quand je clique sur le texte "ASupprimer"
    Alors je ne vois pas "ASupprimer"
    Quand je clique sur "Valider"
    Alors je ne vois pas "Valider"
    Alors je ne vois pas "ASupprimer"
    Quand je vais sur la page Établissements
    Alors je vois "AXIOME"
    Quand je clique sur "Filtres"
    Quand je clique sur "Données personnalisées"
    Quand je clique sur "#champ-selection-activites-input"
    Quand je clique sur le texte "ASupprimer"
    Quand je clique sur "Rechercher"
    Alors je ne vois pas "AXIOME"
    Quand je clique sur "#champ-selection-activites-input"
    Quand je clique sur le texte "Test"
    Quand je clique sur "Rechercher"
    Alors je vois "AXIOME"
    Quand je clique sur le texte "Test"
    Quand je clique sur "Rechercher"
    Alors je ne vois pas "AXIOME"
    Quand je clique sur le texte "ASupprimer"
    Quand je clique sur "Rechercher"
    Quand je selectionne l'option "Portefeuille de votre service" dans la liste "Sélection"
    Quand je clique sur "Rechercher"
    Alors je vois "AXIOME"

  Scénario: Qualification d'établissement - Zones géographiques
    Quand j'ai un compte "DevEco" avec l'email "machin@test.fr" et la clef "blah"
    Quand je vais sur le lien magique pour "blah"
    Alors je vais sur la page de l'Établissement "94845956500016"
    Quand je clique sur "Modifier"
    Alors je vois "Valider"
    Quand je renseigne "Test" dans le champ "#champ-selection-zones-input"
    Quand je clique sur le texte "Créer"
    Quand je clique sur "Valider"
    Alors je ne vois pas "Valider"
    Alors je vois "Test"
    Quand je clique sur "Modifier"
    Alors je vois "Valider"
    Quand je renseigne "ASupprimer" dans le champ "#champ-selection-zones-input"
    Quand je clique sur le texte "Créer"
    Quand je clique sur "Valider"
    Alors je ne vois pas "Valider"
    Alors je vois "ASupprimer"
    Quand je clique sur "Modifier"
    Alors je vois "Valider"
    Quand je clique sur le texte "ASupprimer"
    Alors je ne vois pas "ASupprimer"
    Quand je clique sur "Valider"
    Alors je ne vois pas "Valider"
    Alors je ne vois pas "ASupprimer"
    Quand je vais sur la page Établissements
    Alors je vois "AXIOME"
    Quand je clique sur "Filtres"
    Quand je clique sur "Données personnalisées"
    Quand je clique sur "#champ-selection-zones-input"
    Quand je clique sur le texte "ASupprimer"
    Quand je clique sur "Rechercher"
    Alors je ne vois pas "AXIOME"
    Quand je clique sur "#champ-selection-zones-input"
    Quand je clique sur le texte "Test"
    Quand je clique sur "Rechercher"
    Alors je vois "AXIOME"
    Quand je clique sur le texte "Test"
    Quand je clique sur "Rechercher"
    Alors je ne vois pas "AXIOME"
    Quand je clique sur le texte "ASupprimer"
    Quand je clique sur "Rechercher"
    Quand je selectionne l'option "Portefeuille de votre service" dans la liste "Sélection"
    Quand je clique sur "Rechercher"
    Alors je vois "AXIOME"

  Scénario: Qualification d'établissement - Mots-clés
    Quand j'ai un compte "DevEco" avec l'email "machin@test.fr" et la clef "blah"
    Quand je vais sur le lien magique pour "blah"
    Alors je vais sur la page de l'Établissement "94845956500016"
    Quand je clique sur "Modifier"
    Alors je vois "Valider"
    Quand je renseigne "Test" dans le champ "#champ-selection-mots-input"
    Quand je clique sur le texte "Créer"
    Quand je clique sur "Valider"
    Alors je ne vois pas "Valider"
    Alors je vois "Test"
    Quand je clique sur "Modifier"
    Alors je vois "Valider"
    Quand je renseigne "ASupprimer" dans le champ "#champ-selection-mots-input"
    Quand je clique sur le texte "Créer"
    Quand je clique sur "Valider"
    Alors je ne vois pas "Valider"
    Alors je vois "ASupprimer"
    Quand je clique sur "Modifier"
    Alors je vois "Valider"
    Quand je clique sur le texte "ASupprimer"
    Alors je ne vois pas "ASupprimer"
    Quand je clique sur "Valider"
    Alors je ne vois pas "Valider"
    Alors je ne vois pas "ASupprimer"
    Quand je vais sur la page Établissements
    Alors je vois "AXIOME"
    Quand je clique sur "Filtres"
    Quand je clique sur "Données personnalisées"
    Quand je clique sur "#champ-selection-mots-input"
    Quand je clique sur le texte "ASupprimer"
    Quand je clique sur "Rechercher"
    Alors je ne vois pas "AXIOME"
    Quand je clique sur "#champ-selection-mots-input"
    Quand je clique sur le texte "Test"
    Quand je clique sur "Rechercher"
    Alors je vois "AXIOME"
    Quand je clique sur le texte "Test"
    Quand je clique sur "Rechercher"
    Alors je ne vois pas "AXIOME"
    Quand je clique sur le texte "ASupprimer"
    Quand je clique sur "Rechercher"
    Quand je selectionne l'option "Portefeuille de votre service" dans la liste "Sélection"
    Quand je clique sur "Rechercher"
    Alors je vois "AXIOME"

  Scénario: Ajout et modification d'échange
    Quand j'ai un compte "DevEco" avec l'email "machin@test.fr" et la clef "blah"
    Quand je vais sur le lien magique pour "blah"
    Alors je vais sur la page de l'Établissement "94845956500016"
    Quand je clique sur "Ajouter un élément de suivi"
    Alors je vois "Qualification de l'échange"
    Quand je renseigne "Premier échange" dans le champ "Titre de l'échange"
    Quand je clique sur "Enregistrer"
    Alors je vois "Premier échange"
    Quand je clique sur "Modifier l'échange"
    Alors je vois "Modifier un élément de suivi"
    Alors je vois "Qualification de l'échange"
    Quand je renseigne "Premier échange (modifié)" dans le champ "Titre de l'échange"
    Quand je clique sur "Enregistrer"
    Alors je ne vois pas "Modifier un élément de suivi"
    Alors je vois "Premier échange (modifié)"
    Alors je vois "Modifié"
    Alors l'élément contenant "Modifié" a dans son titre "Dernière modification de l'échange le "
    Alors l'élément contenant "Modifié" a dans son titre " par machin@test.fr"
    Quand je vais sur la page Établissements
    Quand je clique sur "Filtres"
    Quand je selectionne l'option "Portefeuille de votre service" dans la liste "Sélection"
    Quand je clique sur "Rechercher"
    Alors je vois "AXIOME"

  Scénario: Ajout de demande et filtre
    Quand j'ai un compte "DevEco" avec l'email "machin@test.fr" et la clef "blah"
    Quand je vais sur le lien magique pour "blah"
    Alors je vais sur la page de l'Établissement "94845956500016"
    Quand je clique sur "Ajouter un élément de suivi"
    Alors je vois "Qualification de l'échange"
    Quand je renseigne "Premier échange" dans le champ "Titre de l'échange"
    Quand je clique sur "Accompagnement"
    Quand je clique sur "Enregistrer"
    Alors je vois "Premier échange"
    Alors je vois "Accompagnement"
    Quand je vais sur la page Établissements
    Quand je clique sur "Filtres"
    Quand je clique sur "Données personnalisées"
    Quand je clique sur "Demandes"
    Quand j'attends 1 secondes
    Quand je clique sur "#champ-selection-demandes-input"
    Quand je clique sur le texte "Accompagnement"
    Quand je clique sur "Rechercher"
    Alors je vois "AXIOME"
    Quand je clique sur le texte "Accompagnement"
    Quand je clique sur "Rechercher"
    Alors je vois "AXIOME"
    Quand je selectionne l'option "Portefeuille de votre service" dans la liste "Sélection"
    Quand je clique sur "Rechercher"
    Alors je vois "AXIOME"

  Scénario: Clôture de demande
    Quand j'ai un compte "DevEco" avec l'email "machin@test.fr" et la clef "blah"
    Quand je vais sur le lien magique pour "blah"
    Alors je vais sur la page de l'Établissement "94845956500016"
    Quand je clique sur "Ajouter un élément de suivi"
    Alors je vois "Qualification de l'échange"
    Quand je renseigne "Premier échange" dans le champ "Titre de l'échange"
    Quand je clique sur "Accompagnement"
    Quand je clique sur "Enregistrer"
    Alors je vois "Premier échange"
    Alors je vois "Accompagnement"
    Quand je clique sur "Ajouter un élément de suivi"
    Quand je clique sur le texte "Clôturer"
    Alors je vois "Accompagnement"
    Quand je clique sur "Enregistrer"
    Quand je ne vois pas "Clôturer une demande"
    Alors je vois "Accompagnement"
    Alors je vois "clôturée"
    Quand je vais sur la page Établissements
    Quand je clique sur "Filtres"
    Quand je clique sur "Données personnalisées"
    Quand j'attends 1 secondes
    Quand je clique sur "#champ-selection-demandes-input"
    Quand je ne vois pas "Accompagnement"

  Scénario: Ajout, modification, filtre et suppression de contact
    Quand j'ai un compte "DevEco" avec l'email "machin@test.fr" et la clef "blah"
    Quand je vais sur le lien magique pour "blah"
    Alors je vais sur la page de l'Établissement "94845956500016"
    Quand je clique sur "Ajouter un contact"
    Quand je renseigne "Berthier Axiome" dans le champ "#input-nouveau-contact-nom"
    Quand je clique sur "Confirmer"
    Alors je vois "Berthier Axiome"
    Quand je clique sur "#modifier-contact-1"
    Quand je renseigne "Berthier Modifié" dans le champ "#input-nouveau-contact-nom"
    Quand je renseigne "Berthier F" dans le champ "#input-nouveau-contact-fonction"
    Quand je renseigne "Berthier P" dans le champ "#input-nouveau-contact-prenom"
    Quand je renseigne "Berthier E" dans le champ "#input-nouveau-contact-email"
    Quand je renseigne "06" dans le champ "#input-nouveau-contact-telephone"
    Quand je clique sur "Confirmer"
    Alors je ne vois pas "Berthier Axiome"
    Alors je vois "Berthier Modifié"
    Alors je vois "Berthier F"
    Alors je vois "Berthier P"
    Alors je vois "Berthier E"
    Alors je vois "06"
    Quand je vais sur la page Établissements
    Quand je clique sur "Filtres"
    Quand je selectionne l'option "Portefeuille de votre service" dans la liste "Sélection"
    Quand je clique sur "Rechercher"
    Alors je vois "AXIOME"
    Quand je selectionne l'option "Tout le territoire" dans la liste "Sélection"
    Quand je clique sur "Rechercher"
    Alors je vois "AXIOME"
    Quand je renseigne "Berthier Modifié" dans le champ "Nom, SIRET, SIREN, nom du contact"
    Quand je clique sur "Rechercher"
    Alors je vois "AXIOME"
    Quand je vais sur la page de l'Établissement "94845956500016"
    Alors je vois "Berthier Modifié"
    Quand je clique sur "#supprimer-contact-1"
    Quand je clique sur "#confirmer-supprimer-contact-1"
    Alors je ne vois pas "Berthier"

  Scénario: Ajout, modification, et clôture de rappel
    Quand j'ai un compte "DevEco" avec l'email "machin@test.fr" et la clef "blah"
    Quand je vais sur le lien magique pour "blah"
    Alors je vais sur la page de l'Établissement "94845956500016"
    Quand je clique sur "Ajouter un élément de suivi"
    Quand je clique sur "Ajouter un rappel"
    Quand je renseigne "Rappel important" dans le champ "Titre du rappel"
    Quand je clique sur "Enregistrer"
    Alors je ne vois pas "Ajouter un rappel"
    Alors je vois "Rappel important"
    Quand je vais sur la page Rappels
    Alors je vois "Rappel important"
    Quand je clique sur "AXIOME"
    Alors je suis sur la page de l'Établissement "94845956500016"
    Quand je vais sur la page Établissements
    Quand je clique sur "Filtres"
    Quand je selectionne l'option "Portefeuille de votre service" dans la liste "Sélection"
    Quand je clique sur "Rechercher"
    Alors je vois "AXIOME"
    Quand je vais sur la page de l'Établissement "94845956500016"
    Quand je clique sur "Modifier le rappel"
    Alors je vois "Modifier un élément de suivi"
    Alors je vois "Modification d'un rappel"
    Quand je renseigne "Rappel très important !" dans le champ "Titre du rappel"
    Quand je clique sur "Enregistrer"
    Alors je ne vois pas "Modifier un élément de suivi"
    Alors je vois "Rappel très important !"
    Quand je clique sur "Clôturer le rappel"
    Alors je vois "Clôturer un rappel"
    Quand je clique sur "Annuler"
    Alors je ne vois pas "Clôturer un rappel"
    Quand je clique sur "Clôturer le rappel"
    Alors je vois "Clôturer un rappel"
    Quand je clique sur "Confirmer"
    Alors je ne vois pas "Clôturer un rappel"
    Alors je ne vois pas "Rappel très important !"
    Quand je clique sur "voir les rappels clôturés"
    Alors je vois "Rappel très important !"
    Quand je vais sur la page Rappels
    Alors je ne vois pas "Rappel très important !"

  Scénario: Qualification d'établissement en masse - Activités réelles
    Quand j'ai un compte "DevEco" avec l'email "machin@test.fr" et la clef "blah"
    Quand je vais sur le lien magique pour "blah"
    Alors je vais sur la page Établissements
    Quand je clique sur "Filtres"
    Quand je renseigne "Paris-Lift" dans le champ "Nom, SIRET, SIREN, nom du contact"
    Quand je clique sur "Rechercher"
    Alors je vois "2 résultats"
    Quand je clique sur "Qualifier"
    Alors je vois "Qualifier 2 fiches"
    Quand je renseigne "Test" dans le champ "#select-activites-input"
    Quand je clique sur le texte "Créer"
    Quand je clique sur "Confirmer"
    Alors je ne vois pas "Confirmer"
    Alors je vois "OK"
    Quand je clique sur "OK"
    Quand je vais sur la page Établissements
    Quand je clique sur "Filtres"
    Quand je clique sur "Données personnalisées"
    Quand j'attends 1 secondes
    Quand je clique sur "#champ-selection-activites-input"
    Quand je clique sur le texte "Test"
    Quand je clique sur "Rechercher"
    Alors je vois "2 résultats"

  Scénario: Qualification d'établissement en masse - Zones géographiques
    Quand j'ai un compte "DevEco" avec l'email "machin@test.fr" et la clef "blah"
    Quand je vais sur le lien magique pour "blah"
    Alors je vais sur la page Établissements
    Quand je clique sur "Filtres"
    Quand je renseigne "Paris-Lift" dans le champ "Nom, SIRET, SIREN, nom du contact"
    Quand je clique sur "Rechercher"
    Alors je vois "2 résultats"
    Quand je clique sur "Qualifier"
    Alors je vois "Qualifier 2 fiches"
    Quand je renseigne "Test" dans le champ "#select-zones-input"
    Quand je clique sur le texte "Créer"
    Quand je clique sur "Confirmer"
    Alors je ne vois pas "Confirmer"
    Alors je vois "OK"
    Quand je clique sur "OK"
    Quand je vais sur la page Établissements
    Quand je clique sur "Filtres"
    Quand je clique sur "Données personnalisées"
    Quand j'attends 1 secondes
    Quand je clique sur "#champ-selection-zones-input"
    Quand je clique sur le texte "Test"
    Quand je clique sur "Rechercher"
    Alors je vois "2 résultats"

  Scénario: Qualification d'établissement en masse - Mots clés
    Quand j'ai un compte "DevEco" avec l'email "machin@test.fr" et la clef "blah"
    Quand je vais sur le lien magique pour "blah"
    Alors je vais sur la page Établissements
    Quand je clique sur "Filtres"
    Quand je renseigne "Paris-Lift" dans le champ "Nom, SIRET, SIREN, nom du contact"
    Quand je clique sur "Rechercher"
    Alors je vois "2 résultats"
    Quand je clique sur "Qualifier"
    Alors je vois "Qualifier 2 fiches"
    Quand je renseigne "Test" dans le champ "#select-mots-input"
    Quand je clique sur le texte "Créer"
    Quand je clique sur "Confirmer"
    Alors je ne vois pas "Confirmer"
    Alors je vois "OK"
    Quand je clique sur "OK"
    Quand je vais sur la page Établissements
    Quand je clique sur "Filtres"
    Quand je clique sur "Données personnalisées"
    Quand j'attends 1 secondes
    Quand je clique sur "#champ-selection-mots-input"
    Quand je clique sur le texte "Test"
    Quand je clique sur "Rechercher"
    Alors je vois "2 résultats"

  Scénario: Ajout de favori et filtre
    Quand j'ai un compte "DevEco" avec l'email "machin@test.fr" et la clef "blah"
    Quand je vais sur le lien magique pour "blah"
    Alors je vais sur la page de l'Établissement "94845956500016"
    Alors je vois l'icône "fr-icon-star-line"
    Quand je clique sur l'élément avec le titre "Ajouter aux favoris"
    Alors je vois l'icône "fr-icon-star-fill"
    Quand je vais sur la page Établissements
    Quand je clique sur "Filtres"
    Quand je selectionne l'option "Vos favoris" dans la liste "Sélection"
    Quand je clique sur "Rechercher"
    Quand j'attends 1 secondes
    Alors je vois "AXIOME"
    Quand je clique sur l'élément avec le titre "Retirer des favoris"
    Quand je selectionne l'option "Portefeuille de votre service" dans la liste "Sélection"
    Quand je clique sur "Rechercher"
    Quand je selectionne l'option "Vos favoris" dans la liste "Sélection"
    Quand je clique sur "Rechercher"
    Alors je ne vois pas "AXIOME"
    Quand je selectionne l'option "Tout le territoire" dans la liste "Sélection"
    Quand je renseigne "axiome" dans le champ "Nom, SIRET, SIREN, nom du contact"
    Quand je clique sur "Rechercher"
    Alors je vois "AXIOME"
    Quand je clique sur l'élément avec le titre "Ajouter aux favoris"
    Quand je selectionne l'option "Portefeuille de votre service" dans la liste "Sélection"
    Quand je clique sur "Rechercher"
    Alors je ne vois pas "AXIOME"
    Quand je selectionne l'option "Vos favoris" dans la liste "Sélection"
    Quand je clique sur "Rechercher"
    Alors je vois "AXIOME"
